summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2019-04-08 22:59:22 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2019-04-08 23:01:20 +0200
commitbe0ef3204c3189c1bae2c7d310b83a5603e5f341 (patch)
tree22c3ba0d830cfaf1740abf6976dea84d4c650f17 /net-dns
parentdev-cpp/catch: amd64 stable wrt bug #682718 (diff)
downloadgentoo-be0ef3204c3189c1bae2c7d310b83a5603e5f341.tar.gz
gentoo-be0ef3204c3189c1bae2c7d310b83a5603e5f341.tar.bz2
gentoo-be0ef3204c3189c1bae2c7d310b83a5603e5f341.zip
net-dns/libidn2: Restore 2.0.5 for testing purposes
Searching for the origin of failures in the glibc testsuite This partially reverts commit f3bb278b8165084d35dceb7c8f91c61e8800560f. Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
Diffstat (limited to 'net-dns')
-rw-r--r--net-dns/libidn2/Manifest1
-rw-r--r--net-dns/libidn2/libidn2-2.0.5.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/net-dns/libidn2/Manifest b/net-dns/libidn2/Manifest
index 31e4d7dc0c2..21999ddc244 100644
--- a/net-dns/libidn2/Manifest
+++ b/net-dns/libidn2/Manifest
@@ -1,2 +1,3 @@
DIST libidn2-2.0.4.tar.gz 2008524 BLAKE2B 7163e1eff498031c7433911533b34d993876b55d9b324aaef39c93db2cceee78dec4c8cfbf4d9dabd1dbbb03a8cbd65021f26a94758f57b32ef98dc869f744b6 SHA512 1e51bd4b8f8907531576291f1c2a8865d17429b4105418b4c98754eb982cd1cbb3adbeab4ec0c1c561d2dba11d876c7c09e5dc5b315c55a2c24986d7a2a3b4d2
+DIST libidn2-2.0.5.tar.gz 2091929 BLAKE2B 1eb52ae7c9295bf4b5d6e36e6852ffb54b10663a0e3cea06df110bd7798fcb0d1b8e3b7169e4a11e800a23fc9f606167dcb7fc2d4a684e861d73a236de5c578c SHA512 9d040d60de40316788825d8720d509d5b8a82287415e09e17792c2f32fad99ca77f43e55888b9484db69426eaa0ece59e9671eee9cc46411afbdb0f81af31a79
DIST libidn2-2.1.1a.tar.gz 2122867 BLAKE2B 616bdf4c2c5095a29511db293fa908d4cac23f77e17bb6c60f8aa8c8a8a10f1b4e8b84b82406599fe0cc7122fd89c50ec252f1716198f72496800a19924fa09c SHA512 404a739e33d324f700ac8e8119de3feef0de778bbb11be09049cb64eab447cd101883f6d489cca1e88c230f58bcaf9758fe102e571b6501450aa750ec2a4a9c6
diff --git a/net-dns/libidn2/libidn2-2.0.5.ebuild b/net-dns/libidn2/libidn2-2.0.5.ebuild
new file mode 100644
index 00000000000..7d53fcdaf7a
--- /dev/null
+++ b/net-dns/libidn2/libidn2-2.0.5.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils flag-o-matic multilib-minimal
+
+DESCRIPTION="An implementation of the IDNA2008 specifications (RFCs 5890, 5891, 5892, 5893)"
+HOMEPAGE="https://www.gnu.org/software/libidn/#libidn2 https://gitlab.com/jas/libidn2"
+SRC_URI="
+ mirror://gnu/libidn/${P}.tar.gz
+"
+
+LICENSE="GPL-2+ LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND="
+ dev-libs/libunistring[${MULTILIB_USEDEP}]
+"
+DEPEND="
+ ${RDEPEND}
+ dev-lang/perl
+ sys-apps/help2man
+"
+
+src_prepare() {
+ default
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # Darwin ar chokes when TMPDIR doesn't exist (as done for some
+ # reason in the Makefile)
+ sed -i -e '/^TMPDIR = /d' Makefile.in || die
+ export TMPDIR="${T}"
+ fi
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ --disable-doc \
+ --disable-gtk-doc
+}
+
+multilib_src_install() {
+ default
+
+ prune_libtool_files
+}